ActionConfigInterface (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.ActionConfigInterface interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events
Interface ActionConfigInterface

All Known Subinterfaces:
  ActionInterface

All Known Implementing Classes:
  EmailAction, EmailActionConfig, EnableAlertDefActionConfig, MetricAlertAction, NoOpAction, OpenNMSAction, SnmpActionConfig, SyslogAction, SyslogActionConfig

    public interface ActionConfigInterface

Method Summary
`ConfigResponse` | `getConfigResponse()` Get the configuration response for the action based on its properties
`ConfigSchema` | `getConfigSchema()` Get the configuration schema for the action
`java.lang.String` | `getImplementor()` Return the name of the class that implements the action
`void` | `init(ConfigResponse config)` Initialize the action instance
`void` | `setImplementor(java.lang.String implementor)` Allow implementor to be overwritten

Method Detail

### getConfigSchema

    ConfigSchema getConfigSchema()

  Get the configuration schema for the action

  Returns:
    a config schema

### getConfigResponse

    ConfigResponse getConfigResponse()
                                     throws InvalidOptionException,
                                            InvalidOptionValueException

  Get the configuration response for the action based on its properties

  Returns:
    a config schema
  Throws:
    `InvalidOptionException`
    `InvalidOptionValueException`

### init

    void init(ConfigResponse config)
              throws InvalidActionDataException

  Initialize the action instance

  Parameters:
    `config` - configuration properties
  Throws:
    `InvalidActionDataException`

### getImplementor

    java.lang.String getImplementor()

  Return the name of the class that implements the action

  Returns:
    the Action classname

### setImplementor

    void setImplementor(java.lang.String implementor)

  Allow implementor to be overwritten

  Parameters:
    `the` - Action classname

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.